- API-Referenz
- Projekt
- Get a usage-metrics breakdown for a project
Get a usage-metrics breakdown for a project
Request
- projectIdstring (uuid)required
ID of the project whose usage-metrics breakdown is retrieved.
- metricstring (einer von: cpu, memory)required
Resource metric to retrieve.
- fromstring (date-time)
Start of the time range.
- tostring (date-time)
End of the time range.
Responses
Usage-metrics breakdown for the project
- appsArray von objectrequired
Usage of all apps relative to the applicable limit.
- Array[
- *object
- labelsobjectrequired
Prometheus labels identifying the series, e.g.
project,stack,container,database_typeordatabase_version; empty for an aggregated series.- *string
- samplesArray von objectrequired
- Array[
- *object
- timestring (date-time)required
- valuenumberrequired
]
]
- containersArray von objectrequired
Usage per container relative to the applicable limit, labelled with
stackandcontainer.- Array[
- *object
- labelsobjectrequired
Prometheus labels identifying the series, e.g.
project,stack,container,database_typeordatabase_version; empty for an aggregated series.- *string
- samplesArray von objectrequired
- Array[
- *object
- timestring (date-time)required
- valuenumberrequired
]
]
- databasesArray von objectrequired
Usage of all databases relative to the applicable limit; empty for projects on a dedicated server or proSpace lite.
- Array[
- *object
- labelsobjectrequired
Prometheus labels identifying the series, e.g.
project,stack,container,database_typeordatabase_version; empty for an aggregated series.- *string
- samplesArray von objectrequired
- Array[
- *object
- timestring (date-time)required
- valuenumberrequired
]
]
Content-Type: application/json
{
"apps": [
{
"labels": {
"project": "p-XXXXXX"
},
"samples": [
{
"time": "2026-11-10T12:00:00.000Z",
"value": 0.42
}
]
}
],
"containers": [
{
"labels": {
"project": "p-XXXXXX"
},
"samples": [
{
"time": "2026-11-10T12:00:00.000Z",
"value": 0.42
}
]
}
],
"databases": [
{
"labels": {
"project": "p-XXXXXX"
},
"samples": [
{
"time": "2026-11-10T12:00:00.000Z",
"value": 0.42
}
]
}
]
}
{
"properties": {
"apps": {
"description": "Usage of all apps relative to the applicable limit.",
"items": {
"properties": {
"labels": {
"additionalProperties": {
"type": "string"
},
"description": "Prometheus labels identifying the series, e.g. `project`, `stack`, `container`, `database_type` or `database_version`; empty for an aggregated series.",
"example": {
"project": "p-XXXXXX"
},
"type": "object"
},
"samples": {
"items": {
"properties": {
"time": {
"example": "2026-11-10T12:00:00.000Z",
"format": "date-time",
"type": "string"
},
"value": {
"example": 0.42,
"type": "number"
}
},
"required": [
"time",
"value"
],
"type": "object"
},
"type": "array"
}
},
"required": [
"labels",
"samples"
],
"type": "object"
},
"type": "array"
},
"containers": {
"description": "Usage per container relative to the applicable limit, labelled with `stack` and `container`.",
"items": {
"properties": {
"labels": {
"additionalProperties": {
"type": "string"
},
"description": "Prometheus labels identifying the series, e.g. `project`, `stack`, `container`, `database_type` or `database_version`; empty for an aggregated series.",
"example": {
"project": "p-XXXXXX"
},
"type": "object"
},
"samples": {
"items": {
"properties": {
"time": {
"example": "2026-11-10T12:00:00.000Z",
"format": "date-time",
"type": "string"
},
"value": {
"example": 0.42,
"type": "number"
}
},
"required": [
"time",
"value"
],
"type": "object"
},
"type": "array"
}
},
"required": [
"labels",
"samples"
],
"type": "object"
},
"type": "array"
},
"databases": {
"description": "Usage of all databases relative to the applicable limit; empty for projects on a dedicated server or proSpace lite.",
"items": {
"properties": {
"labels": {
"additionalProperties": {
"type": "string"
},
"description": "Prometheus labels identifying the series, e.g. `project`, `stack`, `container`, `database_type` or `database_version`; empty for an aggregated series.",
"example": {
"project": "p-XXXXXX"
},
"type": "object"
},
"samples": {
"items": {
"properties": {
"time": {
"example": "2026-11-10T12:00:00.000Z",
"format": "date-time",
"type": "string"
},
"value": {
"example": 0.42,
"type": "number"
}
},
"required": [
"time",
"value"
],
"type": "object"
},
"type": "array"
}
},
"required": [
"labels",
"samples"
],
"type": "object"
},
"type": "array"
}
},
"required": [
"containers",
"apps",
"databases"
],
"type": "object"
}
Validation Error caused by invalid input data in the request
- type"ValidationError"required
- messagestring
- validationErrorsArray von objectrequired
- Array[
- *object
- messagestringrequired
The standard error message
- pathstringrequired
The path to the part of the data that was validated. JavaScript property access notation (e.g., ".prop[1].subProp") is used.
- typestringrequired
ajv validation error type (e.g. "format", "required", "type") or own validation error types
- contextobject
The object with the additional information about the error that can be used to create custom error messages. Keys depend on the type that failed validation (e.g. "missingProperty" for type "required")
- *string
]
Content-Type: application/json
{
"type": "ValidationError",
"message": "Validation failed",
"validationErrors": [
{
"message": "should be string",
"path": ".address.street",
"type": "format",
"context": {
"format": "email"
}
}
]
}
{
"type": "object",
"required": [
"type",
"validationErrors"
],
"properties": {
"type": {
"type": "string",
"enum": [
"ValidationError"
]
},
"message": {
"type": "string",
"example": "Validation failed"
},
"validationErrors": {
"type": "array",
"items": {
"type": "object",
"required": [
"message",
"path",
"type"
],
"properties": {
"message": {
"type": "string",
"description": "The standard error message",
"example": "should be string"
},
"path": {
"type": "string",
"description": "The path to the part of the data that was validated. JavaScript property access notation (e.g., \".prop[1].subProp\") is used.\n",
"example": ".address.street"
},
"type": {
"type": "string",
"description": "ajv validation error type (e.g. \"format\", \"required\", \"type\") or own validation error types",
"example": "format"
},
"context": {
"type": "object",
"example": {
"format": "email"
},
"description": "The object with the additional information about the error that can be used to create custom error messages. Keys depend on the\ntype that failed validation (e.g. \"missingProperty\" for type \"required\")\n",
"additionalProperties": {
"type": "string"
}
}
}
}
}
}
}
An unexpected Error that occurred while handling the request
- messagestringrequired
- typestringrequired
Content-Type: application/json
{
"message": "Something went wrong",
"type": "InternalServerError"
}
{
"type": "object",
"required": [
"type",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Something went wrong"
},
"type": {
"type": "string",
"example": "InternalServerError"
}
}
}
The requested resource was not found
- messagestringrequired
- typestringrequired
Content-Type: application/json
{
"message": "Something went wrong",
"type": "InternalServerError"
}
{
"type": "object",
"required": [
"type",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Something went wrong"
},
"type": {
"type": "string",
"example": "InternalServerError"
}
}
}
An unexpected Error that occurred while handling the request
- messagestringrequired
- typestringrequired
Content-Type: application/json
{
"message": "Something went wrong",
"type": "InternalServerError"
}
{
"type": "object",
"required": [
"type",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Something went wrong"
},
"type": {
"type": "string",
"example": "InternalServerError"
}
}
}
Your request ran into a rate limit. You have to wait until rate limit expires
- messagestring
- typestring
Content-Type: application/json
{
"message": "too many requests",
"type": "RateLimitError"
}
{
"type": "object",
"properties": {
"message": {
"type": "string",
"example": "too many requests"
},
"type": {
"type": "string",
"example": "RateLimitError"
}
}
}
An unexpected Error that occurred while handling the request
- messagestringrequired
- typestringrequired
Content-Type: application/json
{
"message": "Something went wrong",
"type": "InternalServerError"
}
{
"type": "object",
"required": [
"type",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Something went wrong"
},
"type": {
"type": "string",
"example": "InternalServerError"
}
}
}
An unexpected Error that occurred while handling the request
- messagestringrequired
- typestringrequired
Content-Type: application/json
{
"message": "Something went wrong",
"type": "InternalServerError"
}
{
"type": "object",
"required": [
"type",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Something went wrong"
},
"type": {
"type": "string",
"example": "InternalServerError"
}
}
}
An unexpected Error that occurred while handling the request
- messagestringrequired
- typestringrequired
Content-Type: application/json
{
"message": "Something went wrong",
"type": "InternalServerError"
}
{
"type": "object",
"required": [
"type",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Something went wrong"
},
"type": {
"type": "string",
"example": "InternalServerError"
}
}
}
Nutzungsbeispiele
$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/projects/f0f86186-0a5a-45b2-aa33-502777496347/usage-metrics/breakdown?metric=cpu&from=1985-10-26T01%3A21%3A00.000Z&to=1985-10-26T01%3A21%3A00.000Z
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";
const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.project.getUsageMetricsBreakdown({
"projectId": "f0f86186-0a5a-45b2-aa33-502777496347",
"queryParameters": {
"metric": "cpu",
"from": "1985-10-26T01:21:00.000Z",
"to": "1985-10-26T01:21:00.000Z"
}
});
assertStatus(response, 200);
use \Mittwald\ApiClient\Generated\V2\Clients\Project\GetUsageMetricsBreakdown\GetUsageMetricsBreakdownRequest;
$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));
$request = (new GetUsageMetricsBreakdownRequest(
projectId: "f0f86186-0a5a-45b2-aa33-502777496347"
))
->withMetric("cpu")
->withFrom("1985-10-26T01:21:00.000Z")
->withTo("1985-10-26T01:21:00.000Z");
$response = $client->project()->getUsageMetricsBreakdown($request);
var_dump($response->getBody();